CREATE TABLE atk_qb_qry_grp_attributes (
    QUERY_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_ID              NUMBER(18, 0),
    ATTRIBUTE_TYPE            VARCHAR2(960)    NOT NULL,
    REFERENCE_ATTRIBUTE_ID    NUMBER(18, 0)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    QUERY_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_ID              NUMBER(18, 0),
    ATTRIBUTE_TYPE            VARCHAR2(960)    NOT NULL,
    REFERENCE_ATTRIBUTE_ID    NUMBER(18, 0)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_atk_qb_qry_grp_attributes PRIMARY KEY (ATTRIBUTE_ID, ATTRIBUTE_ID)
);
